Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.statcvs.ant
Class StatCvsTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              net.sf.statcvs.ant.StatCvsTask

public class StatCvsTask
extends org.apache.tools.ant.Task

Ant task for running statcvs.

Author:
  Andy Glover, Richard Cyganiak

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`StatCvsTask()` Constructor for StatCvsTask.

Method Summary
`void` | `execute()` Runs the task
`protected void` | `initProperties()` method initializes the ConfigurationOptions object with received values.
`void` | `setBugzilla(String bugzilla)`
`void` | `setCharset(String charset)`
`void` | `setChora(String chora)`
`void` | `setConfigFile(String configFile)`
`void` | `setCss(String cssFile)`
`void` | `setCvsweb(String cvsweb)`
`void` | `setDisableTwitterButton(boolean disableTwitterButton)`
`void` | `setExclude(String exclude)` Specifies files to exclude from the analysis.
`void` | `setFormat(String format)`
`void` | `setInclude(String include)` Specifies files to include in the analysis.
`void` | `setJCVSWeb(String jcvsweb)`
`void` | `setLog(String logFile)`
`void` | `setMantis(String mantis)`
`void` | `setNoDeveloper(String nonDeveloperLogin)` TODO: This supports just a single value, but should support multiple login names -- how?
`void` | `setNotes(String notesFile)`
`void` | `setOutputDir(String outDir)`
`void` | `setPath(String modDir)`
`void` | `setTags(String tags)` Specifies regular expression to include tag to lines of code graph.
`void` | `setTitle(String title)`
`void` | `setViewCVS(String viewcvs)`
`void` | `setViewVC(String viewvc)`
`void` | `setXDoc(boolean generateXDoc)`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatCvsTask

    public StatCvsTask()

  Constructor for StatCvsTask.

Method Detail

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Runs the task

  Throws:
    `org.apache.tools.ant.BuildException` - if an IO Error occurs

### initProperties

    protected void initProperties()
                           throws ConfigurationException

  method initializes the ConfigurationOptions object with received values.

  Throws:
    `ConfigurationException`

### setLog

    public void setLog(String logFile)

  Parameters:
    `logFile` - String representing the cvs log file

### setPath

    public void setPath(String modDir)

  Parameters:
    `modDir` - String representing the directory containing the CVS project

### setOutputDir

    public void setOutputDir(String outDir)

  Parameters:
    `outDir` - String representing the output directory of the report

### setInclude

    public void setInclude(String include)

  Specifies files to include in the analysis.

  Parameters:
    `include` - a list of Ant-style wildcard patterns, delimited by : or ;
  See Also:
    `FilePatternMatcher`

### setExclude

    public void setExclude(String exclude)

  Specifies files to exclude from the analysis.

  Parameters:
    `exclude` - a list of Ant-style wildcard patterns, delimited by : or ;
  See Also:
    `FilePatternMatcher`

### setTags

    public void setTags(String tags)

  Specifies regular expression to include tag to lines of code graph.

  Parameters:
    `tags` - regular expression to included tags names.

### setTitle

    public void setTitle(String title)

  Parameters:
    `title` - String representing the title to be used in the reports

### setCss

    public void setCss(String cssFile)

  Parameters:
    `cssFile` - String representing the CSS file to use for the report

### setNotes

    public void setNotes(String notesFile)

  Parameters:
    `notesFile` - String representing the notes file to include on the report's index page

### setViewCVS

    public void setViewCVS(String viewcvs)

  Parameters:
    `viewcvs` - String representing the URL of a ViewCVS installation

### setViewVC

    public void setViewVC(String viewvc)

  Parameters:
    `viewvc` - String representing the URL of a ViewVC installation

### setCvsweb

    public void setCvsweb(String cvsweb)

  Parameters:
    `cvsweb` - String representing the URL of a cvsweb installation

### setChora

    public void setChora(String chora)

  Parameters:
    `chora` - String representing the URL of a Chora installation

### setJCVSWeb

    public void setJCVSWeb(String jcvsweb)

  Parameters:
    `jcvsweb` - String representing the URL of a JCVSWeb installation

### setBugzilla

    public void setBugzilla(String bugzilla)

  Parameters:
    `bugzilla` - String representing the URL of a Bugzilla installation

### setMantis

    public void setMantis(String mantis)

  Parameters:
    `mantis` - String representing the URL of a Mantis installation

### setXDoc

    public void setXDoc(boolean generateXDoc)

  Parameters:
    `generateXDoc` - Generate XDoc or HTML?

### setFormat

    public void setFormat(String format)

  Parameters:
    `format` - "`xdoc`" or "`html`"

### setNoDeveloper

    public void setNoDeveloper(String nonDeveloperLogin)

  TODO: This supports just a single value, but should support multiple login names -- how?

  Parameters:
    `nonDeveloperLogin` - A login name to be excluded from developer lists

### setCharset

    public void setCharset(String charset)

### setConfigFile

    public void setConfigFile(String configFile)

### setDisableTwitterButton

    public void setDisableTwitterButton(boolean disableTwitterButton)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD